package np.santaclaus.warehouse;

import static org.junit.Assert.*;

import java.util.List;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class VyberPercentoDarcekovPreDietaTest {
	private Dieta dieta;

	private DietaDao dietaDao = Registry.getDietaDao();

	private ListJeziskovi list;
	
	private Sklad sklad = Registry.getSklad();
			
	
	@Before
	public void setUp() {
		dieta = new Dieta("Ferko Alfonz Jozko II.");
		dietaDao.uloz(dieta);
		
		list = new ListJeziskovi(dieta);
		list.add(new Darcek("lye"));
		list.add(new Darcek("XBox 360 + Kinect"));
		list.add(new Darcek("brat"));
		
		sklad.prijmi(list);
	}

	@Test
	public void test() {
		Sklad sklad = Registry.getSklad();
		List<Darcek> doruceneDarceky = sklad.vyber(dieta);
		assertEquals(0, doruceneDarceky.size());
	}

	@After
	public void tearDown() {
		dietaDao.zmaz(dieta);
	}
	
	
	
	
	
}
